Skip to content

Get BYOS SMTP config

GET
/smtp-config
curl --request GET \
--url https://mail.teamander.com/v1/smtp-config \
--header 'Authorization: Bearer <token>'

Returns the stored config without the password.

SMTP config

Media typeapplication/json
object
provider
required
string
host
required
string
port
required
integer
username
required
string
tls_required
required
boolean
from_email
required
string
nullable
from_name
required
string
nullable
verified
required
boolean
created_at
required
string
updated_at
required
string
Examplegenerated
{
"provider": "example",
"host": "example",
"port": 1,
"username": "example",
"tls_required": true,
"from_email": "example",
"from_name": "example",
"verified": true,
"created_at": "example",
"updated_at": "example"
}

Missing or invalid API key

Media typeapplication/json
object
error
required
string
message
string
Example
{
"error": "Invalid API key"
}

No SMTP config

Media typeapplication/json
object
error
required
string
message
string
Example
{
"error": "no_smtp_config"
}